be.fgov.ehealth.ehbox.core.v3

## Class MessageInfoType

- java.lang.Object
- - be.fgov.ehealth.ehbox.core.v3.MessageInfoType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:03+01:00",
                 comments="JAXB RI v2.2.11")
      public class MessageInfoType
      extends Object
      implements Serializable

  Short message details

  Java class for MessageInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PublicationDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="ExpirationDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Size" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getExpirationDate()` Gets the value of the expirationDate property.
    `org.joda.time.DateTime` | `getPublicationDate()` Gets the value of the publicationDate property.
    `String` | `getSize()` Gets the value of the size property.
    `void` | `setExpirationDate(org.joda.time.DateTime value)` Sets the value of the expirationDate property.
    `void` | `setPublicationDate(org.joda.time.DateTime value)` Sets the value of the publicationDate property.
    `void` | `setSize(String value)` Sets the value of the size property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageInfoType

          public MessageInfoType()

  - ### Method Detail

    - #### getPublicationDate

          public org.joda.time.DateTime getPublicationDate()

      Gets the value of the publicationDate property.
      Returns:
        possible object is `String`

    - #### setPublicationDate

          public void setPublicationDate(org.joda.time.DateTime value)

      Sets the value of the publicationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExpirationDate

          public org.joda.time.DateTime getExpirationDate()

      Gets the value of the expirationDate property.
      Returns:
        possible object is `String`

    - #### setExpirationDate

          public void setExpirationDate(org.joda.time.DateTime value)

      Sets the value of the expirationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSize

          public String getSize()

      Gets the value of the size property.
      Returns:
        possible object is `String`

    - #### setSize

          public void setSize(String value)

      Sets the value of the size property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.